Figure - 0 O Dev #110696
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O AFO O Tlogd O TC-RID: 1201-02011010
2022-07-25 17:00 - CD FW-0 O

Status: 000 InProgress Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDSYSTEM-O OO % Done: 50%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_20221030

Description

mJ0don0:

OO0O0OOlogm OO

m JOURLODODO
m [ 0Ocased 00O
e 00000000 OOOOOOO

History

#1 - 2022-08-04 19:42 - CD FW-0O O
- Subject changed from 0 MKO O 0110 O Tlogd O TC-RID: 0301-0201101C to O MKDO O 0110 O Tlogd O TC-RID: 1201-02011010

#2 - 2022-08-05 19:14 - CD SYSTEM-O O
- Assignee changed from CD FW-[J O to CD SYSTEM-[I O

#3 - 2022-09-06 15:31 - CD SYSTEM-0O O
- Status changed from New to [0 [0 O In Progress

- % Done changed from 0 to 50

O0OOtlogm OO
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/gcom/proprietary/+/144686

https://dev.thundercomm.com/gerrit/c/general/device/qcom/sepolicy/+/144742

https://dev.thundercomm.com/gerrit/c/general/device/qcom/gssi/+/144693

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/steppe/+/144691

https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/143986

https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/143772

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/143771

gbooooboooooooooooooboooooo

#4 - 2022-09-08 08:26 - CD FW-0 0

- Subject changed from O MKO O 0110 O TlogO O TC-RID: 1201-02011010 to O MKO O AFO O Tlogd O TC-RID: 1201-02011010

#5 - 2022-09-09 09:44 - CD SYSTEM-O O
- Assignee changed from CD SYSTEM-[ O to CD SYSTEM-0 0 O

#6 - 2022-09-26 15:11 - CD SYSTEM-0O O
- Target version set to VX1_MCE_FSE_V3.0_20221030
https://dev.thundercomm.com/gerrit/c/general/LINUX/android/vendor/qcom/proprietary/+/144686
https://dev.thundercomm.com/gerrit/c/general/device/qcom/sepolicy/+/144742
https://dev.thundercomm.com/gerrit/c/general/device/qcom/qssi/+/144693
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/steppe/+/144691
https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/143986
https://dev.thundercomm.com/gerrit/c/general/device/thundercomm/TCDEV/+/143772
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/143771

go0oo0ooooooooooo0o

#7 - 2022-12-06 10:35 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
165823 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | hubing0803@thundersoft.com
m/apps/LogSystem -dev
CommitMessage system:tlog: add boot time
#8 - 2022-12-06 10:38 - 10T scm
Gerrit Merge Information(]
1D Project Branch Uploader
166439 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | hubing0803@thundersoft.com
-dev
CommitMessage system:tlog: add boot time
#9 - 2022-12-22 15:08 - 10T scm
Gerrit Merge Informationd
1D Project Branch Uploader
171658 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com

m/apps/LogSystem

-dev

AF:LogSystem: Set bugreport checkbox disable and checked. TC-RID: 1201-0201102Issuel D: TS-R-DF-110696Change-1d:
1388f4aledce7h57090365a76fad773fca53a5701

#10 - 2022-12-22 20:25 - CD FwW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

143771

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

hubing0803@thundersoft.com

system:tlog: Add tlog featureThis mechanism can collect the following logs:- Persist log- Fatal log- Manual logAfter the log compressed, it will upload tothe log
server.TC-RID: 1201-0201101IssuelD: TC-R-DF-110696Change-1d: 1046a28d2a99acc8c318b1e143f550c4d92d0ea68

#11 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-04
143772 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | hubing0803@thundersoft.com

-dev

system:tlog:add tlog feature 1. enable tlog tlog_pstore tzlog pacakages installingTC-RID: 1201-0201101Issuel D: TC-R-DF-110696Change-Id:
15607b534515bal2a5dd68b5f6260d0a72123ec88

#12 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
143986 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | hubing0803@thundersoft.com
-dev

system:tlog: add tlog sepolicy TC-RID: 1201-0201101IssuelD: TC-R-DF-110696Change-1d: 1c7d64d7cc3604651bd2bfh54ef52fd9c95f821b0

#13 - 2022-12-22 20:32 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
148608 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
r-dev

SYSTEM: add pstore[kernel]1. add pstore defconfig and fix reset flow for panic; TC-RID: 1200-0800103IssuelD: TS-R-DF-110696Change-I1d:
1c4687452dfcc02ee0331a3dabafcf34a7098801d

#14 - 2022-12-22 20:32 - CD FW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
148611 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | zhaozj0108@thundersoft.com
m/proprietary r-dev

SYSTEM: add pstore[dts]1. add ramoops mem region to reserved memory; TC-RID: 1200-0800103IssuelD: TS-R-DF-110696Change-1d:
12d201a22186e4b4679653a3aae01b161126db908

#15 - 2022-12-22 20:41 - CD FwW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
154648 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/LogSystem -dev
AF:LogSystem: Add LogCollectService to package log files period. TC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-Id:
15570a37¢10d6761e4e509257644eb56b572dd3eb

#16 - 2022-12-22 20:44 - CD FwW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader
155963 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/TCHTttpServer -dev

AF:LogSystem: Add LogFileServer project.1. First init;2. Create http server;3. Share ‘/data/tlog_package' folder;4. Add ‘/list' ‘/report' ‘/download' api; TC-RID:
1201-0201101Issuel D: TS-R-DF-110696Change-Id: 1f017f3acf4cecc60653ccc597a708c20b2d 72471

#17 - 2022-12-22 20:45 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
156463 general/device/thundercomm/TCDEV | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
-dev

AF:LogSystem: Add /data/tlog_package folder context. TC-RID: 1201-0201101Issuel D: TS-R-DF-110696Change-Id:
1833e5b21aaee93a9100a175cc8d3ece51a8bf7a2

#18 - 2022-12-22 20:45- CDFW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
156666 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/LogSystem -dev

AF:LogSystem: Remove entry from launcherTC-RID: 1201-02011011ssuelD: TS-R-DF-110696Change-1d: 182b55b126ec4b80d6847cd18bb550630b23e8d04

#19 - 2022-12-22 20:45 - CD Fw-0O O

Gerrit Merge Information(

1D Project Branch Uploader
156669 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
gsIntelligence -dev
AF:LogSystem: Add special code search.1. Add SpecialCodeHandler for setting search;2. Add LogClient start speical code; TC-RID: 1201-0201101IssuelD:
TS-R-DF-110696Change-1d: 193a32cae2a3a3ffae054a60e83d090015ac401c3

#20 - 2022-12-22 20:54 - CD Fw-0O O

Gerrit Merge Informationd

1D Project Branch Uploader
165003 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
m/apps/LogSystem -dev

AF:LogSystem: Add BootCount Read LogicTC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-1d: 1f08dd1ea06338880138721f13e310d18d2f8adc2

#21 - 2022-12-22 20:55 - CD FwW-0 O

Gerrit Merge Information(

1D Project Branch Uploader
165127 general/device/thundercomm/TCDEYV | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangwei0629@thundersoft.com
-dev

AF:LogSystem: Add BootCount Read LogicTC-RID: 1201-0201101Issuel D: TS-R-DF-110696Change-1d: 129266a2b65eb5ddda6e28b756ed1977a4936dd5a

#22 - 2022-12-26 20:03 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
172361 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-qssi12 | zhaozj0108@thundersoft.com
m/apps/LogSystem -dev

system:tlog: rm debuggable judgetlog not rely on debuggable judge when startTC-RID: 1201-0201101lssuel D: TS-R-DF-110696Change-I1d:
10170d8292190ceb55e8delab2c258e19aba214d1

#23 - 2022-12-28 19:11 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader
172801 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
m/apps/LogSystem -dev

AF:LogSystem: Optimize log collector app.1. Show tcp_dump checkbox on user version;2. Optimize dir /data/vendor/tlog/manual/gxdm/ file delete
logical; TC-RID: 1201-0201102IssuelD: TS-R-DF-110696Change-Id: 15a19e3c6349861b8830eedde0429cff42e0f15ee
#24 - 2022-12-30 17:53 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

173157

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:LogSystem: Optimize log collector app.1. Optimize tar command parameters;2. Optimize dir /data/tlog/manual/ file delete logical; TC-RID:
1201-0201102IssuelD: TS-R-DF-110696Change-Id: Idad854cf84c12b5b0fe6caabd0cbb2a352aca604

#25 - 2023-02-17 13:47 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

181413

general/platform/vendor/thundercom

m/apps/TCHittpServer

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

Xu.xia@thundersoft.com

system:LogSystem: modify tlog ipmodify tlog ip to vlan4 (192.168.4.16) TC-RID: 1201-0201101lssuelD: TS-R-DF-110696Change-1d:
17f7e2656€82578f8efeb87e660c460d5373¢8863

#26 - 2023-02-17 13:47 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

182223

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

Xu.xia@thundersoft.com

system:LogSystem: add tlog app selinuxadd tlog app selinuxTC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-Id:
19534fa00d9b9cab76d966246793e0c26a2bd8132

#27 - 2023-02-23 13:57 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

183417

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.Xia@thundersoft.com

system:LogSystem: tlog self-startingmodify tlog.rcTC-RID: 1201-0201101Issuel D: TS-R-DF-110696Change-1d: 10b422b06e9b8dfedadb4c5835498994a70h5e895

#28 - 2023-03-29 10:33 - 10T scm

2025-07-04




Gerrit Merge Information(

1D

Project

Branch

Uploader

189779

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

system:log: copy ota files to tlogmodify tlogd.shTC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-1d: 14381179409f24f0aae8dd9baaf70d7d9de8cf6b9

#29 - 2023-03-29 10:33 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

189784

general/device/qcom/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

system:log: copy ota files to tlogadd selinuxTC-RID: 1201-0201101lssuelD: TS-R-DF-110696Change-Id: 183c0aaa597296345a663f8bee783d69d41ac5e23

#30 - 2023-03-29 10:33 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

189786

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

xu.Xxia@thundersoft.com

system:log: copy ota files to tlogBoth automatic and manual packaging of tlogs requires the inclusion of ota filesTC-RID: 1201-0201101IssuelD:
TS-R-DF-110696Change-Id: 128659ed5fh2934ead9f6d2cad86a210d66cc34db7

#31 - 2023-04-12 15:11 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

193062

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM: Tlog: Save boot count to system propertysave boot_time to persist.sys.total_boot_countTC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-Id:
19e76a73c5894f0d3885779ch6a384f19804a89ef

#32-2023-04-1712:31-CD TPM-O0 O O

oobooooooooono

https://thundersoft.feishu.cn/sheets/shtcnbOMsx26 TflytNNoJonQ4nf?sheet=MWfnql
https://thundersoft.feishu.cn/sheets/shtcnbOMsx26TflytNNoJonQ4nf?sheet=MWfngI

#33 - 2023-04-27 21:24 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

195071

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: modify tlog directory structuremodify persist to logcatTC-RID: 1201-0201101lssuel D: TS-R-DF-110696Change-1d:
116ae1560f8d245f61a91720b3009d7bfd676bf42

#34 - 2023-04-27 21:27 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

195440

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: modify tlog directory structurel. modify tlogd.sh2. modify manual directory structureTC-RID: 1201-0201101IssuelD:
TS-R-DF-110696Change-Id: Ifac6a9af41dddd9349641036dd6235fch9e6f715

#35 - 2023-04-27 21:30 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

196248

general/platform/vendor/thundercom
m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

SYSTEM:Tlog:Separate auto and maunal logTC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-1d: Id4c4bd47a9a3d8cdd57df1076db22403043e142d

#36 - 2023-05-15 10:09 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

195999

general/boot_images

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

Xu.xia@thundersoft.com

SYSTEM :log: save UEFI logEnableLogFsSyncinRetail = 0x0 ---> EnableLogFsSynclnRetail = 0x1TC-RID: 1201-0201101IssuelD: TS-R-DF-110696Change-Id:
1123a446f974f0fdc2df5803eff6e56500317aca5

#37 - 2023-05-22 17:52 - 10T scm

2025-07-04
Gerrit Merge Information(

1D

Project

Branch

Uploader

201706

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: Modify the number of tlog compressed packetsModify the tlog compression packet limit to 500TC-RID: 1200-0800102IssuelD:
TS-R-DF-110696Change-1d: 14007280077f5bc3564d15ba2d877227ea38f2838

#38 - 2023-05-22 17:55 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

201713

general/platform/vendor/thundercom

m/apps/TCHittpServer

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: Modify the number of tlog compressed packetsModify the number of compressed packages in the ‘tlog_package/bk/* path to 500TC-RID:
1200-0800102IssuelD: TS-R-DF-110696Change-Id: le7db6b5da09d98dc8d873f16e4c0593869aa402c

#39 - 2023-05-27 11:13 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

202635

general/platform/vendor/thundercom
m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: add bluetooth to manual packageOpen Bluetooth logs when using tlog to capture Bluetooth logsTC-RID: 1200-0800102IssuelD:
TS-R-DF-110696Change-1d: 10812181ba9bh9acad3ed781e4badd644edfac7f0

#40 - 2023-05-27 19:04 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

203070

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.Xxia@thundersoft.com

SYSTEM :Tlog: modify tlog max file countmodify tlog max file count from 1000 to 5000TC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
119c803efeae1ab3b3962b7c6908d547148bf23f

#41 - 2023-06-09 23:21 - loT scm

Gerrit Merge Information(]

2025-07-04
1D

Project

Branch

Uploader

206118

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

wangxl0510@thundersoft.com

SYSTEM :Tlog: Change package time from 5s to 30s.Change package time from 5s to 30s.TC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
1b2daaf668518b3ae9542c03ac330bal4lfc2ch2e

#42 - 2023-06-25 22:36 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

209489

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM: TLOG: save dropbox to tlogcreate a directory, package and delete filesTC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
1c420aff66345887b80864dff8b9f3bc7ca05a306

#43 - 2023-06-25 22:37 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

209481

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM: TLOG: save dropbox to tlogmodify /data/system/dropbox to /data/tlog/fatal/dropboxChange-1d:
19¢ce9036e13467h176f1925ea2bc4b5bch42bd01cTC-RID: 1200-0800102Issuel D: TS-R-DF-110696

#44 - 2023-06-25 22:37 - 10T scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

209036

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM: TLOG: save dropbox to tlogadd selinux system_server for tlog_data_fileTC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
14a18db0ac7b7c25b4cd061eb2bel7cfd953a248a

#45 - 2023-06-26 21:14 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

2025-07-04
209955

general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

m/apps/LogSystem

-release_sorp

SYSTEM: TLOG: save dropbox to tlogcreate a directory, package and delete filesTC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
1c420aff66345887b80864dff8h9f3bc7ca05a306(cherry picked from commit 6¢322acf4f6276fbc1791404e06¢8260b88d788bd)

#46 - 2023-06-26 21:16 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

209956

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

SYSTEM: TLOG: save dropbox to tlogmodify /data/system/dropbox to /data/tlog/fatal/dropboxTC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
19¢ce9036e13467b176f1925ea2bc4b5hch42bd01c(cherry picked from commit 2424d0ba8fb37048daf903f9a5d964d9cd131bd3)

#47 - 2023-06-26 21:16 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

209958

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-release_sorp

wangxl0510@thundersoft.com

SYSTEM: TLOG: save dropbox to tlogadd selinux system_server for tlog_data_fileTC-RID: 1200-0800102IssuelD: TS-R-DF-110696Change-Id:
14a18db0ac7b7c25b4cd061eb2bel7cfd953a248a(cherry picked from commit ec9c2cf12c6867ae6b24bb6al8c1b94da3d07109)

#48 - 2023-06-27 19:37 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

210583

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

SYSTEM:LOG: close dumpTurn off the dump function to generate a pstore fileTC-RID: 1201-0201101Issuel D: TS-R-DF-110696Change-1d:
17f81dd48b5da5ea361c8bf10072c978ca468fh30

#49 - 2023-07-19 18:42 - 10T scm

2025-07-04

11/13




Gerrit Merge Information(

1D

Project

Branch

Uploader

216163

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlogmodify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102Issuel D:
TS-R-DF-110696,|0VDEV-36887,10VDEV-35584Change-1d: 188b403a780303edcf7294170ff818300c50f94c1

#50 - 2023-07-20 23:29 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

216509

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlogmodify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102Issuel D:
TS-R-DF-110696,|0VDEV-36887,10VDEV-35584Change-1d: 188b403a780303edcf7294170ff818300c50f94c1(cherry picked from commit
aefa678cf35469ea3280801ab81a88e6d1f0f3a8)

#51 - 2023-07-27 12:22 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

217659

general/platform/vendor/thundercom
m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

Xu.xia@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlog(2)modify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102IssuelD:
TS-R-DF-110696,10VDEV-38469Change-1d: 19759d569e32b8dbbed64bd54b0e2c097f5256869

#52 - 2023-07-27 23:45 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

218244

general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlog(2)modify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102IssuelD:
TS-R-DF-110696,I0VDEV-38469Change-1d: 19759d569e32b8dbbed64bd54b0e2c097f5256869(cherry picked from commit
59¢7067b13abch5a7eb4echb3495addec063c7bc)

2025-07-04
